import { ElementRef, Renderer2 } from '@angular/core';
export declare class VeilButtonComponent {
    protected renderer: Renderer2;
    protected hostElement: ElementRef<HTMLElement>;
    /**
     * Button status (adds specific styles):
     * 'info', 'success', 'warning', 'danger'
     */
    status: string;
    get info(): boolean;
    get success(): boolean;
    get warning(): boolean;
    get danger(): boolean;
    /**
     * Sets `outline` appearance
     */
    appearance: any;
    get outline(): boolean;
    set outline(value: boolean);
    /**
     * Disables the button
     */
    private _disabled;
    get disabled(): boolean;
    set disabled(value: boolean);
    constructor(renderer: Renderer2, hostElement: ElementRef<HTMLElement>);
}
