"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var file_1 = require("./file");
function addDependencyToPackageJson(tree, packageName, packageVersion, force) {
    if (force === void 0) { force = false; }
    if (!tree.exists('package.json')) {
        throw new Error('No package.json found in the tree.');
    }
    var json = file_1.readJSON(tree, 'package.json');
    if (!json.dependencies) {
        json.dependencies = {};
    }
    if (!json.dependencies[packageName] || force) {
        json.dependencies[packageName] = packageVersion;
        json.dependencies = sortObjectByKeys(json.dependencies);
    }
    file_1.writeJSON(tree, 'package.json', json);
}
exports.addDependencyToPackageJson = addDependencyToPackageJson;
function sortObjectByKeys(obj) {
    return Object.keys(obj).sort().reduce(function (result, key) { return (result[key] = obj[key]) && result; }, {});
}
